Несколько уязвимостей в TikiWiki

Дата публикации:
25.12.2007
Всего просмотров:
1044
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-6526
CVE-2007-6528
CVE-2007-6529
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Tikiwiki 1.x
Уязвимые версии: TikiWiki версии до 1.9.9

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным и произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "movies" в сценарии tiki-listmovies.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, получить доступ к важным данным на системе.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "area_name" в сценарии tiki-special_chars.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за ошибок в сценариях tiki-edit_css.php, tiki-list_games.php и tiki-g-admin_shared_source.php. Подробности уязвимостей не сообщаются.

URL производителя: info.tikiwiki.org/tiki-index.php

Решение: Установите последнюю версию 1.9.9 с сайта производителя.

или введите имя

CAPTCHA